<?php

class GetTarifsResponse
{

    /**
     * @var Tarifs $Tarifs
     */
    protected $Tarifs = null;

    /**
     * @var string $IsError
     */
    protected $IsError = null;

    /**
     * @var int $ErrorCode
     */
    protected $ErrorCode = null;

    /**
     * @var string $ErrorMessage
     */
    protected $ErrorMessage = null;

    /**
     * @param Tarifs $Tarifs
     * @param string $IsError
     * @param int $ErrorCode
     * @param string $ErrorMessage
     */
    public function __construct($Tarifs, $IsError, $ErrorCode, $ErrorMessage)
    {
      $this->Tarifs = $Tarifs;
      $this->IsError = $IsError;
      $this->ErrorCode = $ErrorCode;
      $this->ErrorMessage = $ErrorMessage;
    }

    /**
     * @return Tarifs
     */
    public function getTarifs()
    {
      return $this->Tarifs;
    }

    /**
     * @param Tarifs $Tarifs
     * @return GetTarifsResponse
     */
    public function setTarifs($Tarifs)
    {
      $this->Tarifs = $Tarifs;
      return $this;
    }

    /**
     * @return string
     */
    public function getIsError()
    {
      return $this->IsError;
    }

    /**
     * @param string $IsError
     * @return GetTarifsResponse
     */
    public function setIsError($IsError)
    {
      $this->IsError = $IsError;
      return $this;
    }

    /**
     * @return int
     */
    public function getErrorCode()
    {
      return $this->ErrorCode;
    }

    /**
     * @param int $ErrorCode
     * @return GetTarifsResponse
     */
    public function setErrorCode($ErrorCode)
    {
      $this->ErrorCode = $ErrorCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getErrorMessage()
    {
      return $this->ErrorMessage;
    }

    /**
     * @param string $ErrorMessage
     * @return GetTarifsResponse
     */
    public function setErrorMessage($ErrorMessage)
    {
      $this->ErrorMessage = $ErrorMessage;
      return $this;
    }

}
